import request from '@/utils/request'


  // 班主任课程管理下拉列表
export function getClassTreeList(from) {
  return request({
    url: `/schoolClass/getClassTreeForHeader`,
    method: 'get',
    params: from
  })
}

  // 教师工作我的课程
  export function getMyTable() {
    return request({
      url: `/schoolTimeTable/getMyTable`,
      method: 'get',
    })
  }
    // 班主任的课表查看
    export function getClassLessonTable(from) {
      return request({
        url: `/schoolTimeTable/getSchoolSchedule`,
        method: 'get',
        params: from
      })
    }
// /** 获取班级下拉列表 */
// export function getClassTreeList(queryForm) {
//   return request({
//     url: '/ministerial/getClassTreeForGrade',
//     method: 'get',
//     params: queryForm
//   })
// }


 // 课程表管理班级下拉列表
 export function getClassTreeForHeader() {
  return request({
    url: `/schoolClass/getClassTreeForHeader`,
    method: 'get'
  })
}
 // 查询某个班级的课程
 export function getClassLesson(id) {
  return request({
    url: `/schoolTimeTable/getSchoolClassById/${id}`,
    method: 'get'
  })
}


  